IF OBJECT_ID('dbo.sp_var_aiemb_nnnn') IS NOT NULL
DROP PROCEDURE dbo.sp_var_aiemb_nnnn  
GO
CREATE PROCEDURE dbo.sp_var_aiemb_nnnn  
(
    @pbi_calind bit,  
    @pch_compania char(4),  
    @pch_clase_nomina char(2),  
    @psi_id_cal smallint,  
    @pch_tipo_nomina char(2),  
    @psi_anio smallint,  
    @pti_periodo tinyint,  
    @pdt_fec_termino smalldatetime,  
    @pch_trabajador char(10),  
    @psi_concepto smallint,  
    @pch_referencia char(10),  
    @psi_secuencia smallint,   
    @chsub_var1 varchar(10),  
    @chsub_var2 varchar(10),  
    @mvar_value decimal(19,6) OUTPUT,   
    @chvar_value varchar(40) OUTPUT,  
    @pin_id_sesion smallint
)
AS 
/*****************************************************************/
/*** Modulo:      Módulo Fiscal Colombiano ADAM V.3 - Embargos ***/
/*** Descripcion: Obtiene el valor de un embargo específico    ***/
/*** Autor:	      Juan Carlos Leguizamón                       ***/
/*** Fecha:	      Noviembre 2 de 2006                          ***/
/*****************************************************************/
BEGIN 
DECLARE 
    @vdc_valor decimal(19,6),
    @vvc_aux varchar(40),   
    @vch_class char(2),    
    @vti_flag tinyint, 
    @vti_status tinyint, 
    @vsi_anio smallint,
    @vti_mes tinyint,
    @vsi_nro_liq smallint
 
    SELECT @vdc_valor = 0, @mvar_value = 0, @chvar_value = NULL

    IF @pti_periodo = 0
    Begin  
        EXEC sp_varname 'anio_acumular', @vsi_anio OUTPUT, @vvc_aux OUTPUT, @vch_class OUTPUT, @vti_flag OUTPUT, @vti_status OUTPUT, @pin_id_sesion  
        EXEC sp_varname 'mes_acumular', @vti_mes OUTPUT, @vvc_aux OUTPUT, @vch_class OUTPUT, @vti_flag OUTPUT, @vti_status OUTPUT, @pin_id_sesion  
        EXEC sp_varname 'numero_liquidacion', @vsi_nro_liq OUTPUT, @vvc_aux OUTPUT, @vch_class OUTPUT, @vti_flag OUTPUT, @vti_status OUTPUT, @pin_id_sesion  

        SELECT
            @vdc_valor = importe
        FROM
            liquidaciones_det
        WHERE
            compania = @pch_compania And
            tipo_nomina = @pch_tipo_nomina And
            anio_acumular = @vsi_anio And
            mes_acumular = @vti_mes And
            numero_liquidacion = @vsi_nro_liq And
            concepto = convert(smallint, @chsub_var1) And
            trabajador = @pch_trabajador And
            referencia = @pch_referencia And
            secuencia = @psi_secuencia And
            sit_transaccion = 2
    End
    ELSE
        SELECT
            @vdc_valor = importe
        FROM
            transacciones_ns
        WHERE
            compania = @pch_compania And
            clase_nomina = @pch_clase_nomina And
            id_calendario = @psi_id_cal And
            concepto = convert(smallint, @chsub_var1) And
            trabajador = @pch_trabajador And
            referencia = @pch_referencia And
            secuencia = @psi_secuencia And
            sit_transaccion = 2

    SELECT @mvar_value = IsNull(@vdc_valor,0)
    RETURN
END
GO
GRANT EXECUTE ON dbo.sp_var_aiemb_nnnn   TO PUBLIC
GO
